# BEGIN SourceDeps(oneline):
BuildRequires: perl(CPAN.pm) perl(Config.pm) perl(Devel/PPPort.pm) perl-devel perl-podlators
# END SourceDeps(oneline)
Name:           perl-File-MMagic-XS
Version:        0.09006
Release:        alt2_11
Summary:        Guess file type with XS
Group:          Development/Perl
License:        ASL 2.0 and (GPL+ or Artistic)
URL:            http://search.cpan.org/dist/File-MMagic-XS
Source0:        http://search.cpan.org/CPAN/authors/id/D/DM/DMAKI/File-MMagic-XS-%{version}.tar.gz
BuildRequires:  gdbm-devel
BuildRequires:  perl(ExtUtils/MakeMaker.pm)
BuildRequires:  perl(File/MMagic.pm)
BuildRequires:  perl(File/Spec.pm)
BuildRequires:  perl(Test/More.pm)
BuildRequires:  perl(XSLoader.pm)
Requires:       perl(File/MMagic.pm)
Requires:       perl(File/Spec.pm)

# Avoid unwanted shared object provides

Source44: import.info

%description
This is a port of Apache2 mod_mime_magic.c in Perl, written in XS with the aim 
of being efficient and fast especially for applications that need to be run for
an extended amount of time.

%prep
%setup -q -n File-MMagic-XS-%{version}

%build
perl Makefile.PL INSTALLMAN1DIR=%_man1dir INSTALLDIRS=vendor OPTIMIZE="$RPM_OPT_FLAGS"
make %{?_smp_mflags}

%install
make pure_install DESTDIR=$RPM_BUILD_ROOT
find $RPM_BUILD_ROOT -type f -name .packlist -exec rm -f {} ';'
find $RPM_BUILD_ROOT -type f -name '*.bs' -a -size 0 -exec rm -f {} ';'
# %{_fixperms} $RPM_BUILD_ROOT

%check
make test

%files
%doc Changes
%{perl_vendorarch}/auto/File/
%{perl_vendorarch}/File/

%changelog
* Wed Feb 27 2013 Igor Vlasenko <viy@altlinux.ru> 0.09006-alt2_11
- update to new release by fcimport

* Mon Sep 10 2012 Cronbuild Service <cronbuild@altlinux.org> 0.09006-alt2_9
- rebuild with new perl

* Tue Jul 31 2012 Igor Vlasenko <viy@altlinux.ru> 0.09006-alt1_9
- update to new release by fcimport

* Wed May 23 2012 Igor Vlasenko <viy@altlinux.ru> 0.09006-alt1_7
- fc import

